function rzrgn_canvasReprodukcija(frame)
{
   // zanka preko vseh dokumentov
   if(!frame) frame = rzrgn_getContentWindow();

   if(frame)
   {
      var frames = frame.frames;
      var framesLength = frames.length;

        // če ni frameset
        if(frame.document.getElementsByTagName("body").length > 0)
        {
           // preveri če ima dokument drsnika
           var elm = frame.document.documentElement;

             if(frame.document.documentElement.scrollWidth > frame.document.body.scrollWidth) var elmW = frame.document.documentElement;
             else elmW = frame.document.body;
           
           if((elm.scrollHeight > frame.innerHeight) && (elmW.scrollWidth <= frame.innerWidth)) rzrgn_canvasHneVda(frame)
           else if ((elm.scrollHeight <= frame.innerHeight) && (elmW.scrollWidth > frame.innerWidth)) rzrgn_canvasHdaVne(frame)
           else if ((elm.scrollHeight > frame.innerHeight) && (elmW.scrollWidth > frame.innerWidth)) rzrgn_canvasHdaVda(frame)
           else rzrgn_canvasNiDrsnikov(frame)
        }           
           
        // Zanka preko frames
        for(var i = 0; i < framesLength; i++)
        {
           rzrgn_canvasReprodukcija(frames[i]);
        }
   }
}




function rzrgn_dodaCanvas(frame, frameWidth, frameHeight, zajemX, zajemY, canvasWidth, canvasHeight, canvasCssTop, canvasCssLeft)
{
  zaCanvasId++;

  // doda canvas
  var novCanvas = frame.document.createElement("canvas");
  novCanvas.setAttribute("id", "rzrgncs-" + zaCanvasId);
  novCanvas.setAttribute("style",
  "visibility: visible; position: absolute; z-index: " + (1000 + zaCanvasId) +
  "; width: " + canvasWidth +
  "px; height: " + canvasHeight +
  "px; top: " + canvasCssTop +
  "px; left: " + canvasCssLeft +
  "px; cursor: crosshair; background-color: transparent; border: none;"
  //" border: 5px solid rgb(190,30,55);"
  );        
        
  frame.document.body.appendChild(novCanvas);
  var canvas = frame.document.getElementById("rzrgncs-" + zaCanvasId);

  // izriše izbran del strani
  var ctx = canvas.getContext("2d");
  ctx.clearRect(0, 0, canvasWidth, canvasHeight);
  ctx.save();
  ctx.scale(canvasWidth/frameWidth, canvasHeight/frameHeight);
  ctx.drawWindow(frame, zajemX, zajemY, frameWidth, frameHeight, "rgba(0,0,0,0)");
  ctx.restore();
}




function rzrgn_canvasNiDrsnikov(frame)
{
//alert("Ni drsnikov"); return;

  var dokument = frame.document;
  var telo = frame.document.body;

  var zajemX = 0;
  var zajemY = 0;

  var frameWidth = frame.innerWidth;
  var frameHeight = frame.innerHeight; 

  var ponovitev = Math.floor(Math.random() * 20) + 10;

    for(var i = 0; i < ponovitev; i++)
    {
       var canvasWidth = Math.floor(Math.random() * frameWidth);
       var canvasHeight = Math.floor(Math.random() * frameHeight);
        
       var canvasCssTop = Math.floor(Math.random() * (frameHeight - canvasHeight));
       var canvasCssLeft = Math.floor(Math.random() * (frameWidth - canvasWidth));  

       rzrgn_dodaCanvas(frame, frameWidth, frameHeight, zajemX, zajemY, canvasWidth, canvasHeight, canvasCssTop, canvasCssLeft);
    }
}




function rzrgn_canvasHneVda(frame)
{
//alert("H ne, V da"); return;

  var frameWidth = frame.innerWidth - drsnikWidth;
  var frameHeight = frame.innerHeight;      

  var korakScroll = Math.floor(Math.random() * 30) + 90;
  var drsnik = frame.document.documentElement.scrollHeight;

    for (var i = 0; i < drsnik; i += korakScroll)
    {
       var canvasWidth = Math.floor(Math.random() * frameWidth);
       var canvasHeight = Math.floor(Math.random() * frameHeight);
        
       var canvasCssTop = frame.scrollY + (Math.floor(Math.random() * (frameHeight - canvasHeight)));
       var canvasCssLeft = frame.scrollX + (Math.floor(Math.random() * (frameWidth - canvasWidth)));

       var zajemX = frame.scrollX;
       var zajemY = frame.scrollY;

       rzrgn_dodaCanvas(frame, frameWidth, frameHeight, zajemX, zajemY, canvasWidth, canvasHeight, canvasCssTop, canvasCssLeft);        
       
       frame.scroll(0, i)
    }
}




function rzrgn_canvasHdaVne(frame)
{
//alert("H da, V ne"); return;

  var frameWidth = frame.innerWidth;
  var frameHeight = frame.innerHeight - drsnikHeight;      

  var korakScroll = Math.floor(Math.random() * 30) + 90;

    if(frame.document.documentElement.scrollWidth > frame.document.body.scrollWidth) var elmW = frame.document.documentElement;
    else var elmW = frame.document.body;

  var drsnik = elmW.scrollWidth;

    for (var i = 0; i < drsnik; i += korakScroll)
    {
       var canvasWidth = Math.floor(Math.random() * frameWidth);
       var canvasHeight = Math.floor(Math.random() * frameHeight);
        
       var canvasCssTop = frame.scrollY + (Math.floor(Math.random() * (frameHeight - canvasHeight)));
       var canvasCssLeft = frame.scrollX + (Math.floor(Math.random() * (frameWidth - canvasWidth)));

       var zajemX = frame.document.documentElement.scrollX;
       var zajemY = frame.document.documentElement.scrollY;

       rzrgn_dodaCanvas(frame, frameWidth, frameHeight, zajemX, zajemY, canvasWidth, canvasHeight, canvasCssTop, canvasCssLeft);        
       
       frame.scroll(i, 0)
    }
}




function rzrgn_canvasHdaVda(frame)
{
//alert("H da, V da"); return;

  var frameWidth = frame.innerWidth - drsnikWidth;
  var frameHeight = frame.innerHeight - drsnikHeight;      

  var korakScroll = Math.floor(Math.random() * 30) + 90;

    if(frame.document.documentElement.scrollWidth > frame.document.body.scrollWidth) var elmW = frame.document.documentElement;
    else var elmW = frame.document.body;

  var drsnikH = elmW.scrollWidth;
  var drsnik = frame.document.documentElement.scrollHeight;
  
    for (var j = 0; j < drsnikH; j += korakScroll)
    {
         for (var i = 0; i < drsnik; i += korakScroll)
         {
            var canvasWidth = Math.floor(Math.random() * frameWidth);
            var canvasHeight = Math.floor(Math.random() * frameHeight);
        
            var canvasCssTop = frame.scrollY + (Math.floor(Math.random() * (frameHeight - canvasHeight)));
            var canvasCssLeft = frame.scrollX + (Math.floor(Math.random() * (frameWidth - canvasWidth)));

            var zajemX = frame.scrollX;
            var zajemY = frame.scrollY;

            rzrgn_dodaCanvas(frame, frameWidth, frameHeight, zajemX, zajemY, canvasWidth, canvasHeight, canvasCssTop, canvasCssLeft);        
       
            frame.scroll(j, i)
         }
       frame.scroll(j, i)
    }
}
